//
//  ViewController.m
//  YFMHorizontalMenu
//
//  Created by FM on 2018/11/26.
//  Copyright © 2018年 iOS. All rights reserved.
//

#import "ViewController.h"

#import "FMHorizontalMenuView.h"

#import <Masonry.h>

@interface ViewController ()<FMHorizontalMenuViewDelegate,FMHorizontalMenuViewDataSource>
@property (nonatomic,strong) FMHorizontalMenuView *menuView1;

@property (nonatomic,strong) FMHorizontalMenuView *menuView2;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationController.title = @"横向滑动菜单";
    [self creatMenuView];
}
#pragma mark === 初始化
-(void)creatMenuView{
    
    //动画样式
    self.menuView1 = [[FMHorizontalMenuView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 190)];
    self.menuView1.tag = 1000;
    self.menuView1.delegate = self;
    self.menuView1.dataSource = self;
    self.menuView1.currentPageDotColor = [UIColor colorWithRed:67 / 255.0 green:207 / 255.0 blue:119 / 255.0 alpha:1.0];
    self.menuView1.pageDotColor = [UIColor colorWithWhite:0.0 alpha:0.3];
    //    self.menuView1.backgroundColor = [UIColor orangeColor];
    //    self.menuView1.hidesForSinglePage = NO;
    [self.view addSubview:self.menuView1];
    [self.menuView1 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(100);
        make.size.mas_equalTo(CGSizeMake(self.view.frame.size.width, 190));
    }];
    
    [self.menuView1 reloadData];
    
    
    //普通样式
    self.menuView2 = [[FMHorizontalMenuView alloc]initWithFrame:CGRectMake(0, 0, self.view.frame.size.width, 190)];
    self.menuView2.tag = 1001;
    self.menuView2.delegate = self;
    self.menuView2.dataSource = self;
    self.menuView2.currentPageDotColor = [UIColor colorWithRed:67 / 255.0 green:207 / 255.0 blue:119 / 255.0 alpha:1.0];
    self.menuView2.pageControlStyle = FMHorizontalMenuViewPageControlStyleClassic;
    //    self.menuView2.pageControlAliment = FMHorizontalMenuViewPageControlAlimentRight;
    self.menuView2.pageDotColor = [UIColor colorWithWhite:0.0 alpha:0.3];
    //    self.menuView2.backgroundColor = [UIColor orangeColor];
    [self.view addSubview:self.menuView2];
    [self.menuView2 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(self.menuView1.mas_bottom).offset(30);
        make.size.mas_equalTo(CGSizeMake(self.view.frame.size.width, 190));
    }];
    
    [self.menuView2 reloadData];
    
}

#pragma mark === FMHorizontalMenuViewDataSource

//-(UINib *)customCollectionViewCellNibForHorizontalMenuView:(FMHorizontalMenuView *)view{
//    return [UINib nibWithNibName:@"FMCollectionViewCell" bundle:nil];
//}
//-(void)setupCustomCell:(UICollectionViewCell *)cell forIndex:(NSInteger)index horizontalMenuView:(FMHorizontalMenuView *)view{
//    //    FMCollectionViewCell *myCell = (FMCollectionViewCell*)cell;
//    //    myCell.kindLabel.text = @"测试";
//}
/**
 提供数据的数量
 
 @param horizontalMenuView 控件本身
 @return 返回数量
 */
-(NSInteger)numberOfItemsInHorizontalMenuView:(FMHorizontalMenuView *)horizontalMenuView{
    return 20;
}

#pragma mark === FMHorizontalMenuViewDelegate
/**
 设置每页的行数 默认 2
 
 @param horizontalMenuView 当前控件
 @return 行数
 */
-(NSInteger)numOfRowsPerPageInHorizontalMenuView:(FMHorizontalMenuView *)horizontalMenuView{
    return 2;
}

/**
 设置每页的列数 默认 4
 
 @param horizontalMenuView 当前控件
 @return 列数
 */
-(NSInteger)numOfColumnsPerPageInHorizontalMenuView:(FMHorizontalMenuView *)horizontalMenuView{
    return 5;
}
/**
 当选项被点击回调
 
 @param horizontalMenuView 当前控件
 @param index 点击下标
 */
-(void)horizontalMenuView:(FMHorizontalMenuView *)horizontalMenuView didSelectItemAtIndex:(NSInteger)index{
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:nil message:[NSString stringWithFormat:@"您点击了第%ld个",index + 1] delegate:self cancelButtonTitle:@"确定" otherButtonTitles:nil, nil];
    [alert show];
}
/**
 当前菜单的title
 
 @param horizontalMenuView 当前控件
 @param index 下标
 @return 标题
 */
-(NSString *)horizontalMenuView:(FMHorizontalMenuView *)horizontalMenuView titleForItemAtIndex:(NSInteger)index{
    if (horizontalMenuView.tag == 1000) {
        return @"美食";
    }
    return @"外卖";
}
/**
 本地图片
 
 @param horizontalMenuView 当前控件
 @param index 下标
 @return 图片名称
 */
-(NSString *)horizontalMenuView:(FMHorizontalMenuView *)horizontalMenuView localIconStringForItemAtIndex:(NSInteger)index{
    if (horizontalMenuView.tag == 1000) {
        return @"menu_icon";
    }
    return @"menu_icon2";
}
-(CGSize)iconSizeForHorizontalMenuView:(FMHorizontalMenuView *)horizontalMenuView{
    return CGSizeMake(45, 45);
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
